#include "General.h"




void main(void)
{
    SM * manager;
    InitSM(&manager);

    AddRowSM(manager);
    AddRowSM(manager);
    AddRowSM(manager);
    AddRowSM(manager);
    AddRowSM(manager);

    AddColSM(manager);
    AddColSM(manager);
    AddColSM(manager);
    AddItemSM(manager, 0, 0);
    AddItemSM(manager, 1, 1);
    AddItemSM(manager, 1, 1);
    GetItemSM(manager, 0, 0)->info.int_ = 1234;
    GetItemSM(manager, 1, 1)->info.int_ = 11;
    PrintSM(manager, PrintIntDataType);
    //RemoveItemSM(manager, 1, 1);
    printf("\n");
    RemoveRowSM(manager);
    printf("1\n");
    RemoveRowSM(manager);
    printf("2\n");
    RemoveRowSM(manager);
    printf("3\n");
    RemoveRowSM(manager);
    printf("4\n");
    RemoveRowSM(manager);
    printf("5\n");
    RemoveRowSM(manager);
    printf("6\n");
    RemoveRowSM(manager);
    printf("7\n");
    AddRowSM(manager);
    AddRowSM(manager);
    PrintSM(manager, PrintIntDataType);

}